Obtenir les métadonnées du fichier par ID
curl --request GET \
--url https://api.olostep.com/v1/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"filename": "<string>",
"bytes": 123,
"purpose": "<string>",
"status": "<string>"
}Fichiers
Obtenir un fichier
Récupérer les métadonnées d’un fichier par son ID.
GET
/
v1
/
files
/
{file_id}
Obtenir les métadonnées du fichier par ID
Autorisations
En-tête d'authentification Bearer sous la forme Bearer , où est ton jeton d'authentification.
Paramètres de chemin
Identifiant unique pour le fichier à récupérer.
Réponse
Réponse réussie avec les métadonnées du fichier.
ID du fichier
Le type d'objet. "file" pour ce point de terminaison.
Horodatage epoch créé
Le nom du fichier téléchargé
Taille du fichier en octets
Le but du fichier
Statut du fichier (par exemple, 'pending', 'completed')
Cette page vous a-t-elle été utile ?